Skip to content
dartpilot
Esc
↑↓navigate↵open⌘Jpreview

List game events

Lists the recorded events for a game the key owner may view (their own, one they participate in, a friend’s, or a public game), oldest first.

GET/games/{id}/events
Authorization
x-api-keyAPI key · headerrequired

A user (dp_) or organization (dp_org_) API key with read scopes.

Path parameters
idstringrequired

The entity id.

Query parameters
afterstring

Opaque cursor from the previous page's paging.nextCursor.

limitinteger

Number of items to return per page.

min 1 · max 50 · default: 20
Responses
200

A page of game events.

itemsGameEvent[]required
Show properties
Array of GameEvent
seqintegerrequired
min 0 · max 9007199254740991
typestringrequired
payloadobjectrequired
createdAtstringrequired
pagingPagingrequired
Show properties
nextCursorstring | nullrequired
400

Invalid request.

messagestringrequired
401

Missing or invalid API key.

messagestringrequired
403

The API key is missing a required scope or is the wrong type for this endpoint.

messagestringrequired
404

Entity not found.

messagestringrequired
429

Rate limit exceeded. See the Retry-After header.

messagestringrequired
500

Internal server error.

messagestringrequired
502

Failed to load game events.

messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.dartpilot.app/v1/games/string/events' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "items": [
    {
      "seq": 0,
      "type": "string",
      "payload": {
        "property1": null,
        "property2": null
      },
      "createdAt": "string"
    }
  ],
  "paging": {
    "nextCursor": "string"
  }
}

Was this page helpful?